Subject: Re: [PATCH v3 0/4] breaking changes: switch default initial branch name to "main"

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Sep 2025 08:02:10 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> Which I only mention because
>> +static const char default_branch_name_advice[] = N_(
>> +"Using '%s' as the name for the initial branch since Git 3.0.\n"
>> +"If you expected Git to create 'master', you can rename the just-created\n"
>> +"branch can be renamed via this command:\n"
>> +"\n"
>> +"\tgit branch -m master\n"
>> +);
>
> Repetition: “can rename ... can be renamed”

Yuck.  I started writing my own message and the in the middle of the
sentence changed my mind and decided to borrow from the existing
message we are giving before 3.0, and made the result incoherent.

I've squashed in the following.

Thanks for carefully reading.

diff --git c/refs.c w/refs.c
index dc569d0358..f15366bfce 100644
--- c/refs.c
+++ w/refs.c
@@ -644,7 +644,7 @@ static const char default_branch_name_advice[] = N_(
 #else
 static const char default_branch_name_advice[] = N_(
 "Using '%s' as the name for the initial branch since Git 3.0.\n"
-"If you expected Git to create 'master', you can rename the just-created\n"
+"If you expected Git to create 'master', the just-created\n"
 "branch can be renamed via this command:\n"
 "\n"
 "\tgit branch -m master\n"